Bug 708729 - Screen would not unlock due to password failure
Screen would not unlock due to password failure
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-29 03:26 EDT by TNO-reg
Modified: 2011-09-11 10:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-11 10:53:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description TNO-reg 2011-05-29 03:26:49 EDT
Description of problem:

It turns out to be impossible to unlock the screen under certain circumstances (detailed description is below).


Version-Release number of selected component (if applicable): 3.0.0-1.fc15

How reproducible: always

Steps to Reproduce:
1. Lock you screen (e.g. by the gnome-shell menu)
2. Move your mouse/touchpad/whatever or press some keys to get the unlock screen window
3. Type in your password (in my case it consisted of some Latin characters and numbers, nothing uncommon)
  
Actual results: 

It always gives you the "incorrect password" message, so the screen cannot be unlocked. The alternate option to switch user and actually re-login to your current user (i.e. via gdm), however, works.

Expected results:

The screen should be unlocked normally.

Additional info:

It is quite important to mention that two kbd layouts (Russian and US English) are set up in GNOME for me. My guess is that the password might be input in wrong layout, i.e. with Cyrillic characters instead of Latin in my case. However, there is no way to either see or switch the current layout in the "Unlock screen" window like it were in GNOME 2.x, and that very well might be the case.
Comment 1 Fedora Admin XMLRPC Client 2011-06-21 11:56:52 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora Admin XMLRPC Client 2011-06-21 12:00:07 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 TNO-reg 2011-09-11 10:53:00 EDT
The issue seems to have beеn fixed, however, not sure when it happened. It is now possible to switch layouts when the unlock screen window is showing, however, it is still "blind", i.e. there is still no indicator as it used to be in GNOME 2.x, but this is more of a usability/ToDo issue.

Note You need to log in before you can comment on or make changes to this bug.